ALTMEM(4) | Device Drivers Manual | ALTMEM(4)

# NAME

`altmem` —
Alternative memory disk driver

# SYNOPSIS

`altmem* at altmemdev?`

# DESCRIPTION

The `altmem` driver enables use of physical memory that is normally inaccessible by the machine-dependent pmap(9) as a swap device.

When an alternative memory disk device is present, this device is generally preferred to hard disk-based swap space. See the swapctl(8) and fstab(5) man pages for instructions on how to assign priorities to swap devices.

# FILES

/dev/altmem??
  block mode alternative memory disk devices.
/dev/raltmem??
  raw mode alternative memory disk devices.

# SEE ALSO

md(4), fstab(5), swapctl(8)

# HISTORY

The `altmem` device driver appeared in NetBSD 6.0.

# AUTHORS

Jared D. McNeill <jmcneill@NetBSD.org>

March 11, 2009 | NetBSD 9.0